﻿using Dala.Samples.BusinessLogicLayer;
using Dala.Samples.DataAccessLayer;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Script.Services;
using System.Web.Services;

namespace Dala.Samples.App_Services
{
    /// <summary>
    /// Summary description for ExtjsWebservice
    /// </summary>
    [WebService(Namespace = "http://tempuri.org/")]
    [WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
    [System.ComponentModel.ToolboxItem(false)]
    // To allow this Web Service to be called from script, using ASP.NET AJAX, uncomment the following line. 
    [System.Web.Script.Services.ScriptService]
    public class ExtjsWebservice : System.Web.Services.WebService
    {
        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json,
           UseHttpGet = false, XmlSerializeString = false)]
        public List<Product> LoadRecords()
        {
            return new ProductBLL().GetAllProducts();
        }
    }
}
