﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true"
    CodeBehind="sitemap.aspx.cs" Inherits="Dala.Samples.sitemap.sitemap" %>

<%@ Import Namespace="Dala.Utilities" %>
<asp:Content ID="Content1" ContentPlaceHolderID="HeadContent" runat="server">
    <script src='<%# ResolveUrl ("/sitemap/sitemap-style/jquery_002.js") %>' type="text/javascript"></script>
    <script src='<%# ResolveUrl ("~/sitemap/sitemap-style/my-accordion.js") %>' type="text/javascript"></script>
    <link href="sitemap-style/default.css" rel="stylesheet" type="text/css" />
    <link href="sitemap-style/layout.css" rel="stylesheet" type="text/css" />
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <script type="text/javascript">
        $("html").addClass("js");
        $.fn.accordion.defaults.container = false;
        $(function () {
            $("#acc4").accordion({
                el: ".h",
                head: "h4, h5, ul, div",
                next: "ul"
            });

            $("html").removeClass("js");
        });
        $(document).ready(function () {
            //            $(".slide").click(function () {
            //                $(".slide").attr('class', 'slide-down');
            //            });
        });
    </script>
    <div class="container_12 main-contant-nav sitemap clearfix" id="acc4">
        <h2>
            Sitemap
        </h2>
        <asp:Repeater ID="rptCategory" runat="server" OnItemDataBound="rptParentItem_ItemDataBound">
            <ItemTemplate>
                <div class="grid_4">
                    <ul>
                        <li>
                            <div>
                                <div id='lnkCat' runat="server" class="pull-left sitemap-title">
                                    <%#Eval("CategoryName") %></div>
                            </div>
                            <div>
                                <a href="#" class="pull-right"></a>
                            </div>
                            <br class="clear" />
                            <ul>
                                <asp:Repeater ID="rptSubCategory" runat="server" OnItemDataBound="rptChildItem_ItemDataBound">
                                    <ItemTemplate>
                                        <li><a href="" runat="server" id="lnkChildCat">
                                            <%# Eval("CategoryName") %></a></li>
                                    </ItemTemplate>
                                </asp:Repeater>
                            </ul>
                        </li>
                    </ul>
                </div>
            </ItemTemplate>
        </asp:Repeater>
        <div class="grid_4">
            <ul>
                <li><a href="" class="">Contact Information</a></li>
            </ul>
        </div>
        <div class="grid_4">
            <ul>
                <li><a href="" class="">Catalog Request</a></li>
            </ul>
        </div>
        <div class="grid_4">
            <ul>
                <li><a href="" class="">Testimonials</a></li>
            </ul>
        </div>
        <div class="grid_4">
            <ul>
                <li><a href='<%= SiteUtility.SiteBaseUrl + "the-buzz.aspx" %>' class="">The Buzz</a></li>
            </ul>
        </div>
        <div class="grid_4">
            <ul>
                <li><a href='<%= SiteUtility.SiteBaseUrl + "terms-and-conditions.aspx" %>' class="">
                    Terms &amp; Conditions</a> </li>
            </ul>
        </div>
        <br class="clear" />
        <div class="grid_4">
            <ul>
                <li><a href="" class="slide-down">Our Company</a>
                    <ul class="slide-close">
                        <li><a href='<%= SiteUtility.SiteBaseUrl + "about-us.aspx" %>' class="">About Us</a></li>
                        <li><a href='<%= SiteUtility.SiteBaseUrl + "executive-team.aspx"%>' class="">Executive
                            Team</a></li>
                        <li><a href='<%= SiteUtility.SiteBaseUrl + "upcoming-events.aspx"%>' class="">Upcoming
                            Events</a></li>
                        <li><a href='<%= SiteUtility.SiteBaseUrl + "our-brands.aspx"%>' class="">Our Brands</a></li>
                    </ul>
                </li>
            </ul>
        </div>
        <div class="grid_4">
            <ul>
                <li><a href="" class="slide-down">Social Media</a>
                    <ul class="slide-close">
                        <li><a href="https://www.facebook.com/HMWagnerandSons" class="" target="_blank">Facebook</a></li>
                        <li><a href="http://wagnerway.wordpress.com/" class="" target="_blank">Blog</a></li>
                    </ul>
                </li>
            </ul>
        </div>
        <div class="grid_4">
            <ul>
                <li><a href="" class="slide-down">Sales Support Materials</a>
                    <ul class="slide-close">
                        <li><a href="" class="">Login</a></li>
                        <li><a href="" class="">Sales Support Materials</a></li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</asp:Content>
